<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Light_Roast
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if ( get_theme_mod ( 'hide_copyright' ) == "") { ?>
		<div class = "site-copyright">
			<?php echo '<span class = "copyright-symbol">&#169;</span>' . date("Y") . " " . get_theme_mod('copyright_textbox', get_bloginfo('name')); ?>
		</div>
		<?php } //endif ?>
		<div class="site-info">
			<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'light-roast' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'light-roast' ), 'WordPress' ); ?></a>
			<span class="sep"> | </span>
				<?php printf( esc_html__( 'Theme: Light Roast by %s.', 'light-roast' ), '<a href="http://www.chrisskoglund.com/" rel="designer">Chris Skoglund</a>' ); ?>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
